namespace elm { namespace app { namespace client { 
inline ::efl::eolian::return_traits<Elm_App_View_State>::type View::state_get() const
{
   Elm_App_View_State __return_value =  ::elm_app_client_view_state_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_App_View_State>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type View::new_events_get() const
{
   int __return_value =  ::elm_app_client_view_new_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type View::window_get() const
{
   int __return_value =  ::elm_app_client_view_window_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::stringshare>::type View::path_get() const
{
   Eina_Stringshare * __return_value =  ::elm_app_client_view_path_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::stringshare>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type View::package_get() const
{
   const char * __return_value =  ::elm_app_client_view_package_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type View::icon_get() const
{
   const char * __return_value =  ::elm_app_client_view_icon_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned short>::type View::progress_get() const
{
   unsigned short __return_value =  ::elm_app_client_view_progress_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned short>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type View::title_get() const
{
   const char * __return_value =  ::elm_app_client_view_title_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type View::path_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type path) const
{
    ::elm_app_client_view_path_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(path));
}
inline ::efl::eolian::return_traits<void>::type View::pause( ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type cb,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::elm_app_client_view_pause(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_App_Client_View_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type>(cb)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type View::resume( ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type cb,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::elm_app_client_view_resume(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_App_Client_View_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type>(cb)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type View::close( ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type cb,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::elm_app_client_view_close(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_App_Client_View_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type>(cb)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
} } } 
namespace eo_cxx {
namespace elm { namespace app { namespace client { 
inline ::efl::eolian::return_traits<Elm_App_View_State>::type View::state_get() const
{
   Elm_App_View_State __return_value =  ::elm_app_client_view_state_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_App_View_State>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type View::new_events_get() const
{
   int __return_value =  ::elm_app_client_view_new_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type View::window_get() const
{
   int __return_value =  ::elm_app_client_view_window_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::stringshare>::type View::path_get() const
{
   Eina_Stringshare * __return_value =  ::elm_app_client_view_path_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::stringshare>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type View::package_get() const
{
   const char * __return_value =  ::elm_app_client_view_package_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type View::icon_get() const
{
   const char * __return_value =  ::elm_app_client_view_icon_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned short>::type View::progress_get() const
{
   unsigned short __return_value =  ::elm_app_client_view_progress_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned short>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type View::title_get() const
{
   const char * __return_value =  ::elm_app_client_view_title_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type View::path_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type path) const
{
    ::elm_app_client_view_path_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(path));
}
inline ::efl::eolian::return_traits<void>::type View::pause( ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type cb,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::elm_app_client_view_pause(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_App_Client_View_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type>(cb)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type View::resume( ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type cb,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::elm_app_client_view_resume(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_App_Client_View_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type>(cb)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type View::close( ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type cb,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::elm_app_client_view_close(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_App_Client_View_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_App_Client_View_Cb>>::type>(cb)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline elm::app::client::View::operator ::elm::app::client::View() const { return *static_cast< ::elm::app::client::View const*>(static_cast<void const*>(this)); }
inline elm::app::client::View::operator ::elm::app::client::View&() { return *static_cast< ::elm::app::client::View*>(static_cast<void*>(this)); }
inline elm::app::client::View::operator ::elm::app::client::View const&() const { return *static_cast< ::elm::app::client::View const*>(static_cast<void const*>(this)); }
} } } }

